* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #153677, #4e085f);
}

.container {
    background-color: azure;
    border-radius: 5%;

    width: 700px;
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.header {
    display: flex;
    align-items: center;
    margin: 20px;
    /* Adjusted to center for vertical alignment */
}

.header h1 {
    margin-right: 10px;
    /* Add some space between the text and the image */
}

.img {
    width: 40px;
}

.row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #ddeef0;
    border-radius: 30px;
    margin-bottom:  25px;
    margin-top:  25px;
}


input {
    flex: 1;
    border: none;
    outline: none;
    background: transparent;
    padding: 20px;
    font-weight: 14px;
    border-radius: 40px;
}

#button {
    border: none;
    outline: none;
    background: #ff5945;
    padding: 16px 50px;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    border-radius: 40px;
    font-weight: 14px;
}
ul li{
    list-style: none;
    font-size: 17px;
    padding: 12px 8px 12px 50px;
    user-select:none;
    cursor: pointer;
    position:relative
}

ul li::before{
    content:'';
    position: absolute;
    height:28px;
    width:28px;
    border-radius:50% ;
    background-image:url("image/circle.svg");
   background-size: cover;
   background-position:center ;
   top: 12px;
   left: 8px;
}

ul li.checked{
    color:#555;
    text-decoration: line-through;

}
 
ul li.checked::before{
    background-image: url("image/ic_-radio-box-checked-512.png");
}




ul li span{
    position: absolute;
    right:0;
    top:5px;
    width: 40px;
    height: 40px;
    font-size: 22px;
    color: #555;
    line-height: 40px;
    text-align: center;
    border-radius: 50%;
}
ul li span:hover{
    background:#ddeef0 ;
}




/*@keyframes slideIn {
    from {
        transform: translateX(-100%);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

ul {
    list-style-type: none;
    padding: 0;
}

li {
    margin: 5px 0;
    padding: 10px;
    background: #f0f0f0;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

li:hover {
    background: #e0e0e0;
}

.delete-btn {
    background: #ff4c4c;
    color: white;
    border: none;
    border-radius: 3px;
    padding: 5px 10px;
    cursor: pointer;
}

.delete-btn:hover {
    background: #ff0000;
}